Skip to main content
GET
/
v1
/
banking
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
Get Entity Onboarding Status (Banking Connectivity)
curl --request GET \
  --url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "onb_990e8400-e29b-41d4-a716-446655440000",
  "entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
  "yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
  "provider": {
    "entity_id": "col_entity_onboarded_123",
    "status": "verification_pending"
  },
  "onboarding_type": "ONE_STEP",
  "status": "PENDING",
  "requirements": [],
  "created_at": "2026-02-01T10:00:00Z",
  "updated_at": "2026-02-01T10:00:00Z",
  "expires_at": "2026-02-08T10:00:00Z"
}
Retrieve the current status of an entity onboarding. See Onboarding statuses for the full status lifecycle.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

entity_id
string
required

The id of the entity obtained from Create Entity.

onboarding_id
string
required

The id of the onboarding obtained from Create Entity Onboarding.

Response

id
string
Example:

"onb_990e8400-e29b-41d4-a716-446655440000"

entity_id
string
Example:

"ent_660e8400-e29b-41d4-a716-446655440000"

yuno_account_id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

provider
object
onboarding_type
string
Example:

"ONE_STEP"

status
string
Example:

"PENDING"

requirements
object[]
created_at
string
Example:

"2026-02-01T10:00:00Z"

updated_at
string
Example:

"2026-02-01T10:00:00Z"

expires_at
string
Example:

"2026-02-08T10:00:00Z"